VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros
itest.h File Reference
`#include "pluginterfaces/base/funknown.h"`

## Classes
class | ITest
class | ITestResult
| Test Result message logger [host imp] When a test is called, a pointer to an ITestResult is passed in, so the test class can output error messages. More...
class | ITestSuite
| A collection of tests supporting a hierarchical ordering [host imp] [create via hostclasses]. More...
class | ITestFactory
| Class factory that any testable module defines for creating tests that will be executed from the host. More...

## Namespaces
namespace | Steinberg

## Macros
#define | kTestClass "Test Class"
| A class for automated tests.

## Macro Definition Documentation

## ◆ kTestClass

#define kTestClass "Test Class"

A class for automated tests.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.